Bug#404754: libgtk2.0-dev: Missing gdkwindow-x11.h

Mathias Brodala info at noctus.net
Thu Dec 28 00:19:57 UTC 2006

Package: libgtk2.0-dev
Version: 2.8.20-3
Severity: normal

Hash: SHA1

I’m not sure if this really is a bug or whatever. I wanted to apply a patch which would enable a Mac-like menubar for all GTK based applications. In this patch a header file named „gdkwindow-x11.h“ should be included. But this file exists nowhere in the Debian universe. (At least it looks like that to me after looking on packages.d.o and into the package of libgtk2.0-dev from Experimental.)

Can someone clarify this issue? Am I or is this package missing something?

- -- System Information:
Debian Release: 4.0
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (1, 'experimental')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.18-3-k7
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8) (ignored: LC_ALL set to de_DE.UTF-8)

Versions of packages libgtk2.0-dev depends on:
ii  libatk1.0-dev                1.12.3-1    Development files for the ATK acce
ii  libcairo2-dev                1.2.4-4     Development files for the Cairo 2D
ii  libglib2.0-dev               2.12.6-1    Development files for the GLib lib
ii  libgtk2.0-0                  2.8.20-3    The GTK+ graphical user interface 
ii  libpango1.0-dev              1.14.8-3    Development files for the Pango
ii  libx11-dev                   2:1.0.3-4   X11 client-side library (developme
ii  libxcursor-dev               1.1.7-4     X cursor management library (devel
ii  libxext-dev                  1:1.0.1-2   X11 miscellaneous extensions libra
ii  libxfixes-dev                1:4.0.1-5   X11 miscellaneous 'fixes' extensio
ii  libxi-dev                    1:1.0.1-4   X11 Input extension library (devel
ii  libxinerama-dev              1:1.0.1-4.1 X11 Xinerama extension library (de
ii  libxrandr-dev                2: X11 RandR extension library (devel
ii  pkg-config                   0.21-1      manage compile and link flags for 

libgtk2.0-dev recommends no packages.

- -- no debconf information

Version: GnuPG v1.4.6 (GNU/Linux)


More information about the pkg-gnome-maintainers mailing list